package com.adealink.weparty.module.widget.form.field.multipletext

import android.content.Context
import android.view.ViewGroup
import androidx.lifecycle.LifecycleOwner
import com.adealink.weparty.module.widget.form.adapter.WidgetDelegate

class MultipleTextDelegate :
    WidgetDelegate<MultipleTextWidgetData, MultipleTextWidgetView>() {
    override fun onCreateView(
        lifecycleOwner: LifecycleOwner,
        context: Context,
        parent: ViewGroup,
        data: MultipleTextWidgetData
    ): MultipleTextWidgetView {
        val widget = MultipleTextWidgetView(context)
        parent.addView(
            widget, ViewGroup.LayoutParams(
                ViewGroup.LayoutParams.MATCH_PARENT,
                ViewGroup.LayoutParams.WRAP_CONTENT
            )
        )
        widget.onViewCreated(lifecycleOwner, data)
        return widget
    }
}